Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.eval
Interface IEvaluationResult

public interface IEvaluationResult

The result of an evaluation. An evaluation result may contain problems and/or a result value.

Clients are not intended to implement this interface.

Since:
  2.0
See Also:
  `IJavaValue`

Method Summary
`String[]` | `getErrorMessages()` Returns an array of problem messages.
`Message[]` | `getErrors()` Deprecated. use getErrorMessages()
`IEvaluationEngine` | `getEvaluationEngine()` Returns the evaluation engine used to evaluate the original snippet.
`DebugException` | `getException()` Returns any exception that occurred while performing the evaluation or `null` if an exception did not occur.
`String` | `getSnippet()` Returns the snippet that was evaluated.
`IJavaThread` | `getThread()` Returns the thread in which the evaluation was performed.
`IJavaValue` | `getValue()` Returns the value representing the result of the evaluation, or `null` if the associated evaluation failed.
`boolean` | `hasErrors()` Returns whether the evaluation had any problems or if an exception occurred while performing the evaluation.

Method Detail

### getValue

    public IJavaValue getValue()

  Returns the value representing the result of the evaluation, or `null` if the associated evaluation failed. If the associated evaluation failed, there will be problems, or an exception in this result.

  Returns:
    the resulting value, possibly `null`

### hasErrors

    public boolean hasErrors()

  Returns whether the evaluation had any problems or if an exception occurred while performing the evaluation.

  Returns:
    whether there were any problems.
  See Also:
    `getErrors()`, `getException()`

### getErrors

    public Message[] getErrors()

  Deprecated. use getErrorMessages()

  Returns an array of problem messages. Each message describes a problem that occurred while compiling the snippet.

  Returns:
    compilation error messages, or an empty array if no errors occurred

### getErrorMessages

    public String[] getErrorMessages()

  Returns an array of problem messages. Each message describes a problem that occurred while compiling the snippet.

  Returns:
    compilation error messages, or an empty array if no errors occurred
  Since:
    2.1

### getSnippet

    public String getSnippet()

  Returns the snippet that was evaluated.

  Returns:
    The string code snippet.

### getException

    public DebugException getException()

  Returns any exception that occurred while performing the evaluation or `null` if an exception did not occur. The exception will be a debug exception or a debug exception that wrappers a JDI exception that indicates a problem communicating with the target or with actually performing some action in the target.

  Returns:
    The exception that occurred during the evaluation
  See Also:
    `InvocationException`, `DebugException`

### getThread

    public IJavaThread getThread()

  Returns the thread in which the evaluation was performed.

  Returns:
    the thread in which the evaluation was performed

### getEvaluationEngine

    public IEvaluationEngine getEvaluationEngine()

  Returns the evaluation engine used to evaluate the original snippet.

  Returns:
    the evaluation engine used to evaluate the original snippet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.